Daemon Power

The NetBSD Packages Collection: www/p5-Plack

Brief description of the package:
PSGI toolkit and servers

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://search.cpan.org/dist/Plack/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "www/p5-Plack" directory. The current source version of the package is "p5-Plack-1.0044nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/p5-Plack :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: p5-libwww>=5.814 p5-Encode-Locale>=0 perl>=5.26.0 cwrappers>=20150314 perl<5.28.0 p5-File-Listing>=6 p5-HTTP-Date>=6.00 p5-HTTP-Cookies>=6 p5-HTTP-Message>=6.02 p5-URI-[0-9]* p5-Test-Needs-[0-9]* p5-HTML-Parser>=3.33 p5-HTML-Tagset>=3.0 p5-HTTP-Date>=6 p5-Encode-Locale>=1.02 p5-LWP-MediaTypes>=6.01 p5-IO-HTML-[0-9]* p5-Try-Tiny-[0-9]* p5-Capture-Tiny>=0.12 p5-Inline-C-[0-9]* p5-Inline>=0.58 p5-Parse-RecDescent>=1.80 p5-Text-Balanced-[0-9]* p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-CPAN-Meta>=2.142060 p5-Scalar-List-Utils>=1.33 p5-Test-Warn>=0.21 p5-Sub-Uplevel>=0.12 p5-File-ShareDir-Install-[0-9]* p5-Pegex>=0.55 p5-YAML-LibYAML-[0-9]* p5-File-Copy-Recursive-[0-9]* p5-IO-All-[0-9]* p5-File-MimeInfo-[0-9]* p5-File-BaseDir-[0-9]* p5-IPC-System-Simple-[0-9]* xdg-user-dirs-[0-9]* desktop-file-utils>=0.8 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.34.0 desktop-file-utils>=0.10nb1 libxslt-[0-9]* libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 p5-File-Which-[0-9]* p5-File-DesktopEntry-[0-9]* p5-File-BaseDir>=0.03 shared-mime-info-[0-9]* p5-File-ReadBackwards-[0-9]* p5-HTTP-Daemon>=6 p5-HTTP-Negotiate>=6 p5-HTTP-Message>=6 p5-LWP-MediaTypes>=6 p5-Net-HTTP>=6.07 p5-URI>=1.10 p5-WWW-RobotRules>=6.01 p5-URI>=1.27 p5-LWP-Protocol-https>=6.02 p5-IO-Socket-SSL>=1.38 p5-IO-Socket-INET6-[0-9]* p5-Socket6>=0.12 p5-Net-LibIDN-[0-9]* libidn>=0.4.6 libidn>=1.20nb1 p5-Net-SSLeay>=1.59 p5-Test-Exception-[0-9]* p5-Sub-Uplevel>=0.18 p5-Test-Warn-[0-9]* p5-Mozilla-CA-[0-9]* p5-Mozilla-CA>=20110101 p5-Crypt-SSLeay>=0 p5-Path-Class>=0.26 p5-Try-Tiny>=0.19 p5-HTML-Tagset-[0-9]* p5-IO-Socket-SSL-[0-9]* p5-Test-Fatal-[0-9]* p5-Try-Tiny>=0.07 p5-Test-RequiresInternet-[0-9]* p5-HTTP-Message>=5.814 p5-URI>=1.59 p5-File-ShareDir>=1.00 p5-Class-Inspector>=1.12 p5-File-ShareDir-Install>=0.04 p5-Devel-StackTrace>=1.23 p5-Devel-StackTrace-AsHTML>=0.11 p5-Devel-StackTrace-[0-9]* p5-Filesys-Notify-Simple-[0-9]* p5-Test-SharedFork-[0-9]* p5-Test-Requires>=0 p5-Hash-MultiValue>=0.05 p5-HTTP-Entity-Parser>=0.17 p5-WWW-Form-UrlEncoded>=0.23 p5-JSON-[0-9]* p5-HTTP-MultiPartParser>=0 p5-Test-Deep-[0-9]* p5-Test-Simple>=1.001010 p5-JSON-MaybeXS-[0-9]* p5-Hash-MultiValue-[0-9]* p5-Stream-Buffered-[0-9]* p5-HTTP-Message-[0-9]* p5-Module-Build-Tiny>=0.23 p5-ExtUtils-Config>=0.003 p5-ExtUtils-Helpers>=0.020 p5-ExtUtils-InstallPaths>=0.002 p5-ExtUtils-Config>=0.002 p5-Test-Harness>=3.30 p5-Test-TCP>=2.00 p5-Test-SharedFork>=0.19 p5-Stream-Buffered>=0.02 p5-Apache-LogFormat-Compiler>=0.12 p5-POSIX-strftime-Compiler>=0.30 p5-Test-Requires-[0-9]* p5-Try-Tiny>=0.12 p5-URI>=1.60 p5-Test-MockTime>=0 p5-Test-Pod-[0-9]* p5-Cookie-Baker>=0.07 p5-URI>=0 p5-Test-Time>=0 p5-File-Slurp-[0-9]* p5-HTTP-Headers-Fast>=0.18 p5-HTTP-Date>0 p5-Test-Requires>0 .

This package requires the following package(s) to run: p5-libwww>=5.814 p5-Encode-Locale>=0 perl>=5.26.0 perl<5.28.0 p5-File-Listing>=6 p5-HTTP-Date>=6.00 p5-HTTP-Cookies>=6 p5-HTTP-Message>=6.02 p5-URI-[0-9]* p5-HTML-Parser>=3.33 p5-HTML-Tagset>=3.0 p5-HTTP-Date>=6 p5-Encode-Locale>=1.02 p5-LWP-MediaTypes>=6.01 p5-IO-HTML-[0-9]* p5-Try-Tiny-[0-9]* p5-HTTP-Daemon>=6 p5-HTTP-Negotiate>=6 p5-HTTP-Message>=6 p5-LWP-MediaTypes>=6 p5-Net-HTTP>=6.07 p5-URI>=1.10 p5-WWW-RobotRules>=6.01 p5-URI>=1.27 p5-LWP-Protocol-https>=6.02 p5-IO-Socket-SSL>=1.38 p5-IO-Socket-INET6-[0-9]* p5-Socket6>=0.12 p5-Net-LibIDN-[0-9]* libidn>=0.4.6 libidn>=1.20nb1 p5-Net-SSLeay>=1.59 p5-Mozilla-CA-[0-9]* p5-Mozilla-CA>=20110101 p5-Crypt-SSLeay>=0 p5-Path-Class>=0.26 p5-Try-Tiny>=0.19 p5-HTML-Tagset-[0-9]* p5-IO-Socket-SSL-[0-9]* p5-HTTP-Message>=5.814 p5-URI>=1.59 p5-File-ShareDir>=1.00 p5-Class-Inspector>=1.12 p5-File-ShareDir-Install>=0.04 p5-Devel-StackTrace>=1.23 p5-Devel-StackTrace-AsHTML>=0.11 p5-Devel-StackTrace-[0-9]* p5-Filesys-Notify-Simple-[0-9]* p5-Hash-MultiValue>=0.05 p5-HTTP-Entity-Parser>=0.17 p5-WWW-Form-UrlEncoded>=0.23 p5-HTTP-MultiPartParser>=0 p5-Test-TCP>=2.00 p5-Test-SharedFork>=0.19 p5-Test-Requires>=0 p5-Stream-Buffered>=0.02 p5-Apache-LogFormat-Compiler>=0.12 p5-POSIX-strftime-Compiler>=0.30 p5-Cookie-Baker>=0.07 p5-URI>=0 p5-HTTP-Headers-Fast>=0.18 p5-HTTP-Date>0 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:p5-Plack-1.0044nb1.tgz(NetBSD 8.0)
arm:p5-Plack-1.0030nb1.tgz(NetBSD 6.1_STABLE)
earm:p5-Plack-1.0039.tgz(NetBSD 7.0)
earm:p5-Plack-1.0033.tgz(NetBSD 7.0)
earm:p5-Plack-1.0036nb1.tgz(NetBSD 7.0)
earm:p5-Plack-1.0037.tgz(NetBSD 7.0)
earm:p5-Plack-1.0039.tgz(NetBSD 7.0)
earmv6hf:p5-Plack-1.0033.tgz(NetBSD 7.0)
earmv6hf:p5-Plack-1.0037.tgz(NetBSD 7.0)
earmv6hf:p5-Plack-1.0039.tgz(NetBSD 7.0)
earmv7hf:p5-Plack-1.0039.tgz(NetBSD 7.0)
earmv7hf:p5-Plack-1.0037.tgz(NetBSD 7.0)
earmv7hf:p5-Plack-1.0037.tgz(NetBSD 7.99.21)
earmv7hf:p5-Plack-1.0044nb1.tgz(NetBSD 8.0_BETA)
earmv7hfeb:p5-Plack-1.0039.tgz(NetBSD 7.0)
i386:p5-Plack-1.0030nb1.tgz(MirBSD 10)
i386:p5-Plack-1.0044nb1.tgz(NetBSD 6.0)
i386:p5-Plack-1.0039nb1.tgz(NetBSD 6.0)
i386:p5-Plack-1.0042.tgz(NetBSD 6.0)
i386:p5-Plack-1.0043.tgz(NetBSD 6.0)
i386:p5-Plack-1.0044nb1.tgz(NetBSD 6.1)
i386:p5-Plack-1.0039nb1.tgz(NetBSD 6.1)
i386:p5-Plack-1.0042.tgz(NetBSD 6.1)
i386:p5-Plack-1.0043.tgz(NetBSD 6.1)
i386:p5-Plack-1.0044nb1.tgz(NetBSD 7.0)
i386:p5-Plack-1.0039nb1.tgz(NetBSD 7.0)
i386:p5-Plack-1.0042.tgz(NetBSD 7.0)
i386:p5-Plack-1.0043.tgz(NetBSD 7.0)
i386:p5-Plack-0.9982.tgz(QNX 6.5.0)
powerpc:p5-Plack-1.0039nb1.tgz(NetBSD 6.0)
powerpc:p5-Plack-1.0044nb1.tgz(NetBSD 6.1)
powerpc:p5-Plack-1.0039.tgz(NetBSD 7.0)
powerpc:p5-Plack-1.0044nb1.tgz(NetBSD 7.1)
powerpc:p5-Plack-1.0044nb1.tgz(NetBSD 8.0)
sparc64:p5-Plack-1.0033.tgz(NetBSD 7.0)
sparc64:p5-Plack-1.0036nb1.tgz(NetBSD 7.0)
sparc64:p5-Plack-1.0039.tgz(NetBSD 7.0)
sparc64:p5-Plack-1.0042.tgz(NetBSD 7.1_RC1)
sparc:p5-Plack-1.0036nb1.tgz(NetBSD 5.1)
sparc:p5-Plack-1.0033.tgz(NetBSD 5.1)
sparc:p5-Plack-1.0031.tgz(NetBSD 6.0)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 6.0)
x86_64:p5-Plack-1.0039nb1.tgz(NetBSD 6.0)
x86_64:p5-Plack-1.0042.tgz(NetBSD 6.0)
x86_64:p5-Plack-1.0043.tgz(NetBSD 6.0)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 6.1)
x86_64:p5-Plack-1.0039nb1.tgz(NetBSD 6.1)
x86_64:p5-Plack-1.0042.tgz(NetBSD 6.1)
x86_64:p5-Plack-1.0043.tgz(NetBSD 6.1)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 7.0)
x86_64:p5-Plack-1.0039nb1.tgz(NetBSD 7.0)
x86_64:p5-Plack-1.0042.tgz(NetBSD 7.0)
x86_64:p5-Plack-1.0043.tgz(NetBSD 7.0)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 8.99.1)
x86_64:p5-Plack-1.0044nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]